package cache

import (
	"io"
)

type Nop struct {
}

var _ Cache = Nop{}

func (Nop) Get(_ string, _ io.Writer) error {
	return ErrNotFound
}

func (Nop) GetString(_ string) (string, error) {
	return "", ErrNotFound
}

func (Nop) GetJSON(_ string, _ interface{}) error {
	return ErrNotFound
}

func (Nop) Set(_ string, _ io.Reader) error {
	return nil
}

func (Nop) SetJSON(_ string, _ interface{}) error {
	return nil
}

func (Nop) SetString(_ string, _ string) error {
	return nil
}

func (Nop) Delete(_ string) error {
	return nil
}
